nxt.peer

## Class PeerServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.websocket.servlet.WebSocketServlet
      - - nxt.peer.PeerServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public final class PeerServlet
      extends org.eclipse.jetty.websocket.servlet.WebSocketServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.eclipse.jetty.websocket.servlet.WebSocketServletFactory factory)` Configure the WebSocket factory
    `protected void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` Process HTTP POST request

    - ### Methods inherited from class org.eclipse.jetty.websocket.servlet.WebSocketServlet

      `destroy, init, service`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeerServlet

          public PeerServlet()

  - ### Method Detail

    - #### configure

          public void configure(org.eclipse.jetty.websocket.servlet.WebSocketServletFactory factory)

      Configure the WebSocket factory
      Specified by:
        `configure` in class `org.eclipse.jetty.websocket.servlet.WebSocketServlet`
      Parameters:
        `factory` - WebSocket factory

    - #### doPost

          protected void doPost(javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse resp)
                         throws java.io.IOException

      Process HTTP POST request
      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `req` - HTTP request
        `resp` - HTTP response
      Throws:
        `java.io.IOException` - I/O error